package nl.kallestruik.darena.events

import nl.kallestruik.darena.arenas.Arena
import nl.kallestruik.darena.types.arena.ProcessedArenaCheckpoint
import org.bukkit.entity.Player
import org.bukkit.event.HandlerList
import org.bukkit.event.player.PlayerEvent

class CheckpointReachedEvent(
    player: Player,
    val arena: Arena,
    val checkpoint: ProcessedArenaCheckpoint
): PlayerEvent(player) {
    override fun getHandlers(): HandlerList {
        return HANDLERS_LIST;
    }

    companion object {
        private val HANDLERS_LIST = HandlerList()

        @JvmStatic
        fun getHandlerList(): HandlerList {
            return HANDLERS_LIST
        }
    }
}