package nl.kallestruik.darena.listeners

import nl.kallestruik.darena.managers.ArenaManager
import nl.kallestruik.darena.types.ArenaFeature
import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.block.BlockBreakEvent

class BlockBreakListener(
    val arenaManager: ArenaManager
): Listener {

    @EventHandler
    fun onBlockBreak(event: BlockBreakEvent) {
        if (!arenaManager.shouldProcessEvent(ArenaFeature.NO_TILE_DROPS, event.player)) {
            return
        }

        event.isCancelled = true
    }
}