package nl.kallestruik.darena.types.border

import org.bukkit.plugin.java.JavaPlugin

class BorderNodeSet(
    private val size: Double
): AbstractBorderNode() {

    override fun execute(border: AbstractBorder, plugin: JavaPlugin) {
        border.size(size)
        runNext(border, plugin)
    }

    override fun toCommand(): String {
        return "SET $size"
    }

    companion object {
        fun fromParameters(params: String): BorderNodeSet {
            return BorderNodeSet(params.toDouble())
        }
    }
}